﻿namespace ExtensiCalc
{
    using Extensibility;

    [CalculationOperation("Add", "+")]
    class Addition : ICalculation
    {
        public int Calculate(int a, int b)
        {
            return a + b;
        }
    }

    [CalculationOperation("Sub", "-")]
    class Subtraction : ICalculation
    {
        public int Calculate(int a, int b)
        {
            return a - b;
        }
    }

    [CalculationOperation("Mul", "*")]
    class Multiplication : ICalculation
    {
        public int Calculate(int a, int b)
        {
            return a * b;
        }
    }

    [CalculationOperation("Div", "/")]
    class Division : ICalculation
    {
        public int Calculate(int a, int b)
        {
            return a / b;
        }
    }
}