﻿using System;

namespace Extensibility
{
    [AttributeUsage(AttributeTargets.Class)]
    public class CalculationOperationAttribute : Attribute
    {
        public CalculationOperationAttribute(string name, string infix)
        {
            Name = name;
            Infix = infix;
        }

        public string Name { get; private set; }
        public string Infix { get; private set; }
    }
}
